Pandabase
Store APIsPayouts

List bank accounts

GET
/stores/{storeId}/payouts/bank-accounts

Returns the bank accounts configured for the store's payouts. Requires the PAYOUTS_READ scope.

Authorization

AuthorizationBearer <token>

Bearer token authentication. Pass the secret directly in the Authorization header. Token secrets start with sk_.

In: header

Path Parameters

storeId*string
Length12 <= length <= 48

Header Parameters

idempotency-key?string
Length8 <= length <= 32

Response Body

application/json

application/json

curl -X GET "https://example.com/stores/stringstring/payouts/bank-accounts"
{  "ok": true,  "data": [    {      "id": "bnk_q1mzj0kxw5h7n4tr3bcfp2v8",      "isPrimary": true,      "status": "APPROVED",      "last4": "4242",      "bankName": "Chase",      "country": "US",      "routingNumber": "021000021",      "bankAccountType": "checking",      "supportedCurrencies": [        "usd"      ],      "availablePayoutSpeeds": [        "standard",        "instant"      ],      "createdAt": "2026-04-15T12:00:00.000Z",      "updatedAt": "2026-04-18T15:30:00.000Z"    }  ]}

Last updated on